using System.Windows;
using System.Windows.Controls;

namespace SWRIS.Controls
{
    /// <summary>
    /// DamageRangeControl.xaml 的交互逻辑
    /// </summary>
    public partial class DamageRangeControl : UserControl
    {
        public DamageRangeControl()
        {
            InitializeComponent();
        }
        #region 依赖属性
        public static readonly DependencyProperty MildCountProperty =
           DependencyProperty.Register("MildCount", typeof(string), typeof(DamageRangeControl), new PropertyMetadata("0"));

        public static readonly DependencyProperty LightCountProperty =
            DependencyProperty.Register("LightCount", typeof(string), typeof(DamageRangeControl), new PropertyMetadata("0"));

        public static readonly DependencyProperty ModerateCountProperty =
            DependencyProperty.Register("ModerateCount", typeof(string), typeof(DamageRangeControl), new PropertyMetadata("0"));

        public static readonly DependencyProperty SevereCountProperty =
            DependencyProperty.Register("SevereCount", typeof(string), typeof(DamageRangeControl), new PropertyMetadata("0"));

        public static readonly DependencyProperty CriticalCountProperty =
            DependencyProperty.Register("CriticalCount", typeof(string), typeof(DamageRangeControl), new PropertyMetadata("0"));

        public static readonly DependencyProperty ExtremeCountProperty =
            DependencyProperty.Register("ExtremeCount", typeof(string), typeof(DamageRangeControl), new PropertyMetadata("0"));


        #endregion

        #region 属性包装器

        public string MildCount
        {
            get { return (string)GetValue(MildCountProperty); }
            set { SetValue(MildCountProperty, value); }
        }

        public string LightCount
        {
            get { return (string)GetValue(LightCountProperty); }
            set { SetValue(LightCountProperty, value); }
        }

        public string ModerateCount
        {
            get { return (string)GetValue(ModerateCountProperty); }
            set { SetValue(ModerateCountProperty, value); }
        }

        public string SevereCount
        {
            get { return (string)GetValue(SevereCountProperty); }
            set { SetValue(SevereCountProperty, value); }
        }

        public string CriticalCount
        {
            get { return (string)GetValue(CriticalCountProperty); }
            set { SetValue(CriticalCountProperty, value); }
        }

        public string ExtremeCount
        {
            get { return (string)GetValue(ExtremeCountProperty); }
            set { SetValue(ExtremeCountProperty, value); }
        }

        #endregion
    }
}

